bump = require 'lib/bump'
inspect = require "lib/inspect"
gamera = require "lib/gamera" 

-- require classes
require "src/player"
require "src/world"

-- Main Love functions
function love.load(arg)
	-- varibles
    wrld = bump.newWorld()
    wrld:add(player, player.x, player.y, player.w, player.h)
    
    world:load()
end

function love.update(dt)
    player.update(dt)
    world:update(dt)

end

function love.draw(dt)
	cam:draw(function(l,t,w,h)
        cam:setPosition(player.x, player.y)
        cam:setScale(1.5)
    	

        world:draw()
        player.draw() 
        
    end)
end

function love.keypressed(key)
    player.keypressed(key)
end
